aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.GetIdentityDkimAttributes

Synopsis

- data GetIdentityDkimAttributes = GetIdentityDkimAttributes [Text]
- data GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse [IdentityDkimAttributes]
- data IdentityDkimAttributes = IdentityDkimAttributes {
  - idIdentity :: Text
  - idDkimEnabled :: Bool
  - idDkimTokens :: [Text]
  - idDkimVerirficationStatus :: Text
  }

# Documentation

data GetIdentityDkimAttributes #

Get notification settings for the given identities.

Constructors

GetIdentityDkimAttributes [Text] |

#### Instances

Instances details

SignQuery GetIdentityDkimAttributes # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ServiceConfiguration GetIdentityDkimAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration

Methods

signQuery :: GetIdentityDkimAttributes -> ServiceConfiguration GetIdentityDkimAttributes queryType -> SignatureData -> SignedQuery #

Show GetIdentityDkimAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods showsPrec :: Int -> GetIdentityDkimAttributes -> ShowS # show :: GetIdentityDkimAttributes -> String # showList :: [GetIdentityDkimAttributes] -> ShowS #
Eq GetIdentityDkimAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods (==) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool # (/=) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool #
Ord GetIdentityDkimAttributes # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Methods

compare :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Ordering #

(<) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool #

(<=) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool #

(>) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool #

(>=) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool #

max :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> GetIdentityDkimAttributes #

min :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> GetIdentityDkimAttributes #

ResponseConsumer GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ResponseMetadata GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityDkimAttributes -> IORef (ResponseMetadata GetIdentityDkimAttributesResponse) -> HTTPResponseConsumer GetIdentityDkimAttributesResponse #

Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
type ServiceConfiguration GetIdentityDkimAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration

data GetIdentityDkimAttributesResponse #

The response sent back by Amazon SES after a `GetIdentityDkimAttributes` command.

Constructors

GetIdentityDkimAttributesResponse [IdentityDkimAttributes] |

#### Instances

Instances details

AsMemoryResponse GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type MemoryResponse GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse

Methods

loadToMemory :: GetIdentityDkimAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityDkimAttributesResponse) #

Show GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods showsPrec :: Int -> GetIdentityDkimAttributesResponse -> ShowS # show :: GetIdentityDkimAttributesResponse -> String # showList :: [GetIdentityDkimAttributesResponse] -> ShowS #
Eq GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods (==) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool # (/=) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool #
Ord GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Methods

compare :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Ordering #

(<) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool #

(<=) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool #

(>) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool #

(>=) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool #

max :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse #

min :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse #

ResponseConsumer GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ResponseMetadata GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityDkimAttributes -> IORef (ResponseMetadata GetIdentityDkimAttributesResponse) -> HTTPResponseConsumer GetIdentityDkimAttributesResponse #

Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
type MemoryResponse GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse
type ResponseMetadata GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

data IdentityDkimAttributes #

Constructors

IdentityDkimAttributes |

Fields

- idIdentity :: Text
- idDkimEnabled :: Bool
- idDkimTokens :: [Text]
- idDkimVerirficationStatus :: Text

#### Instances

Instances details

Show IdentityDkimAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods showsPrec :: Int -> IdentityDkimAttributes -> ShowS # show :: IdentityDkimAttributes -> String # showList :: [IdentityDkimAttributes] -> ShowS #
Eq IdentityDkimAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods (==) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool # (/=) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool #
Ord IdentityDkimAttributes # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Methods

compare :: IdentityDkimAttributes -> IdentityDkimAttributes -> Ordering #

(<) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool #

(<=) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool #

(>) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool #

(>=) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool #

max :: IdentityDkimAttributes -> IdentityDkimAttributes -> IdentityDkimAttributes #

min :: IdentityDkimAttributes -> IdentityDkimAttributes -> IdentityDkimAttributes #